Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPanelMenuItem
                          org.richfaces.component.AbstractPanelMenuGroup
                              org.richfaces.component.UIPanelMenuGroup

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps

    @Generated(value={"RichFaces CDK","4.1.0.20111014-M3"})
    public class UIPanelMenuGroup

extends AbstractPanelMenuGroup
implements javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-10-25
Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIPanelMenuGroup.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPanelMenuGroup()`

Method Summary
`javax.el.MethodExpression` | `getChangeExpandListener()`
`String` | `getCollapseEvent()`
`Object` | `getData()`
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getExpandEvent()`
`String` | `getFamily()`
`String` | `getHoverClass()`
`String` | `getLabel()`
`String` | `getLeftIcon()`
`String` | `getLeftIconClass()`
`org.richfaces.PanelMenuMode` | `getMode()`
`String` | `getOnbeforecollapse()`
`String` | `getOnbeforedomupdate()`
`String` | `getOnbeforeexpand()`
`String` | `getOnbeforeselect()`
`String` | `getOnbeforeswitch()`
`String` | `getOnbegin()`
`String` | `getOnclick()`
`String` | `getOncollapse()`
`String` | `getOncomplete()`
`String` | `getOndblclick()`
`String` | `getOnexpand()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnselect()`
`String` | `getOnswitch()`
`String` | `getOnunselect()`
`Object` | `getRender()`
`String` | `getRightIcon()`
`String` | `getRightIconClass()`
`String` | `getStatus()`
`String` | `getStyle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isLimitRender()`
`Boolean` | `isSelectable()`
`Boolean` | `isUnselectable()`
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setChangeExpandListener(javax.el.MethodExpression changeExpandListener)`
`void` | `setCollapseEvent(String collapseEvent)`
`void` | `setData(Object data)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExpandEvent(String expandEvent)`
`void` | `setHoverClass(String hoverClass)`
`void` | `setLabel(String label)`
`void` | `setLeftIcon(String leftIcon)`
`void` | `setLeftIconClass(String leftIconClass)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setMode(org.richfaces.PanelMenuMode mode)`
`void` | `setOnbeforecollapse(String onbeforecollapse)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbeforeexpand(String onbeforeexpand)`
`void` | `setOnbeforeselect(String onbeforeselect)`
`void` | `setOnbeforeswitch(String onbeforeswitch)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOnclick(String onclick)`
`void` | `setOncollapse(String oncollapse)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnexpand(String onexpand)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnselect(String onselect)`
`void` | `setOnswitch(String onswitch)`
`void` | `setOnunselect(String onunselect)`
`void` | `setRender(Object render)`
`void` | `setRightIcon(String rightIcon)`
`void` | `setRightIconClass(String rightIconClass)`
`void` | `setSelectable(Boolean selectable)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setUnselectable(Boolean unselectable)`

Methods inherited from class org.richfaces.component.AbstractPanelMenuGroup
`getDisabledClass, getLeftCollapsedIcon, getLeftDisabledIcon, getLeftExpandedIcon, getRightCollapsedIcon, getRightDisabledIcon, getRightExpandedIcon, getState, getStyleClass, getSubmittedExpanded, hasActiveItem, isExpanded, isImmediate, processDecodes, queueEvent, setDisabledClass, setEventPhase, setExpanded, setImmediate, setLeftCollapsedIcon, setLeftDisabledIcon, setLeftExpandedIcon, setRightCollapsedIcon, setRightDisabledIcon, setRightExpandedIcon, setStyleClass, setSubmittedExpanded, setValueExpression, validate`

Methods inherited from class org.richfaces.component.AbstractPanelMenuItem
`getExecute, getName, getPanelMenu, getParentItem, getValue, isActiveItem, isTopItem, setExecute, setName, setValue`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, removeActionListener, setAction, setActionExpression, setActionListener`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenuGroup

    public UIPanelMenuGroup()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenuGroup`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBypassUpdates

    public boolean isBypassUpdates()

  Specified by:
    `isBypassUpdates` in class `AbstractActionComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

  Specified by:
    `setBypassUpdates` in class `AbstractActionComponent`

### getChangeExpandListener

    public javax.el.MethodExpression getChangeExpandListener()

  Specified by:
    `getChangeExpandListener` in class `AbstractPanelMenuGroup`

### setChangeExpandListener

    public void setChangeExpandListener(javax.el.MethodExpression changeExpandListener)

### getCollapseEvent

    public String getCollapseEvent()

  Specified by:
    `getCollapseEvent` in class `AbstractPanelMenuGroup`

### setCollapseEvent

    public void setCollapseEvent(String collapseEvent)

### getData

    public Object getData()

  Specified by:
    `getData` in interface `AjaxProps`

### setData

    public void setData(Object data)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `AbstractPanelMenuItem`

### setDisabled

    public void setDisabled(boolean disabled)

### getExpandEvent

    public String getExpandEvent()

  Specified by:
    `getExpandEvent` in class `AbstractPanelMenuGroup`

### setExpandEvent

    public void setExpandEvent(String expandEvent)

### getHoverClass

    public String getHoverClass()

  Specified by:
    `getHoverClass` in class `AbstractPanelMenuGroup`

### setHoverClass

    public void setHoverClass(String hoverClass)

### getLabel

    public String getLabel()

  Specified by:
    `getLabel` in class `AbstractPanelMenuItem`

### setLabel

    public void setLabel(String label)

### getLeftIcon

    public String getLeftIcon()

  Specified by:
    `getLeftIcon` in class `AbstractPanelMenuGroup`

### setLeftIcon

    public void setLeftIcon(String leftIcon)

  Overrides:
    `setLeftIcon` in class `AbstractPanelMenuItem`

### getLeftIconClass

    public String getLeftIconClass()

  Specified by:
    `getLeftIconClass` in class `AbstractPanelMenuGroup`

### setLeftIconClass

    public void setLeftIconClass(String leftIconClass)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in interface `AjaxProps`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getMode

    public org.richfaces.PanelMenuMode getMode()

  Specified by:
    `getMode` in class `AbstractPanelMenuGroup`

### setMode

    public void setMode(org.richfaces.PanelMenuMode mode)

### getOnbeforecollapse

    public String getOnbeforecollapse()

  Specified by:
    `getOnbeforecollapse` in class `AbstractPanelMenuGroup`

### setOnbeforecollapse

    public void setOnbeforecollapse(String onbeforecollapse)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in interface `AjaxProps`
  Specified by:
    `getOnbeforedomupdate` in class `AbstractPanelMenuGroup`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbeforeexpand

    public String getOnbeforeexpand()

  Specified by:
    `getOnbeforeexpand` in class `AbstractPanelMenuGroup`

### setOnbeforeexpand

    public void setOnbeforeexpand(String onbeforeexpand)

### getOnbeforeselect

    public String getOnbeforeselect()

  Specified by:
    `getOnbeforeselect` in class `AbstractPanelMenuGroup`

### setOnbeforeselect

    public void setOnbeforeselect(String onbeforeselect)

### getOnbeforeswitch

    public String getOnbeforeswitch()

  Specified by:
    `getOnbeforeswitch` in class `AbstractPanelMenuGroup`

### setOnbeforeswitch

    public void setOnbeforeswitch(String onbeforeswitch)

### getOnbegin

    public String getOnbegin()

  Specified by:
    `getOnbegin` in interface `AjaxProps`

### setOnbegin

    public void setOnbegin(String onbegin)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenuGroup`

### setOnclick

    public void setOnclick(String onclick)

### getOncollapse

    public String getOncollapse()

  Specified by:
    `getOncollapse` in class `AbstractPanelMenuGroup`

### setOncollapse

    public void setOncollapse(String oncollapse)

### getOncomplete

    public String getOncomplete()

  Specified by:
    `getOncomplete` in interface `AjaxProps`
  Specified by:
    `getOncomplete` in class `AbstractPanelMenuGroup`

### setOncomplete

    public void setOncomplete(String oncomplete)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenuGroup`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnexpand

    public String getOnexpand()

  Specified by:
    `getOnexpand` in class `AbstractPanelMenuGroup`

### setOnexpand

    public void setOnexpand(String onexpand)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenuGroup`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenuGroup`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenuGroup`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenuGroup`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenuGroup`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnselect

    public String getOnselect()

  Specified by:
    `getOnselect` in class `AbstractPanelMenuGroup`

### setOnselect

    public void setOnselect(String onselect)

### getOnswitch

    public String getOnswitch()

  Specified by:
    `getOnswitch` in class `AbstractPanelMenuGroup`

### setOnswitch

    public void setOnswitch(String onswitch)

### getOnunselect

    public String getOnunselect()

  Specified by:
    `getOnunselect` in class `AbstractPanelMenuGroup`

### setOnunselect

    public void setOnunselect(String onunselect)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in interface `AjaxProps`

### setRender

    public void setRender(Object render)

### getRightIcon

    public String getRightIcon()

  Specified by:
    `getRightIcon` in class `AbstractPanelMenuGroup`

### setRightIcon

    public void setRightIcon(String rightIcon)

  Overrides:
    `setRightIcon` in class `AbstractPanelMenuItem`

### getRightIconClass

    public String getRightIconClass()

  Specified by:
    `getRightIconClass` in class `AbstractPanelMenuGroup`

### setRightIconClass

    public void setRightIconClass(String rightIconClass)

### isSelectable

    public Boolean isSelectable()

  Specified by:
    `isSelectable` in class `AbstractPanelMenuGroup`

### setSelectable

    public void setSelectable(Boolean selectable)

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in interface `AjaxProps`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractPanelMenuItem`

### setStyle

    public void setStyle(String style)

### isUnselectable

    public Boolean isUnselectable()

  Specified by:
    `isUnselectable` in class `AbstractPanelMenuItem`

### setUnselectable

    public void setUnselectable(Boolean unselectable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.